Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Certificates

Activate certificates for organization
POST
/organization/certificates/activate
Upload certificate
POST
/organization/certificates
Deactivate certificates for organization
POST
/organization/certificates/deactivate
Delete certificate
DELETE
/organization/certificates/{certificate_id}
List organization certificates
GET
/organization/certificates
Get certificate
GET
/organization/certificates/{certificate_id}
Modify certificate
POST
/organization/certificates/{certificate_id}
Models
Certificate object { id, certificate_details, created_at, 3 more }

Represents an individual certificate uploaded to the organization.

id: string

The identifier, which can be referenced in API endpoints

certificate_details: object { content, expires_at, valid_at }
content: optional string

The content of the certificate in PEM format.

expires_at: optional number

The Unix timestamp (in seconds) of when the certificate expires.

formatunixtime
valid_at: optional number

The Unix timestamp (in seconds) of when the certificate becomes valid.

formatunixtime
created_at: number

The Unix timestamp (in seconds) of when the certificate was uploaded.

formatunixtime
name: string or null

The name of the certificate.

object: "certificate" or "organization.certificate" or "organization.project.certificate"

The object type.

  • If creating, updating, or getting a specific certificate, the object type is certificate.
  • If listing, activating, or deactivating certificates for the organization, the object type is organization.certificate.
  • If listing, activating, or deactivating certificates for a project, the object type is organization.project.certificate.
One of the following:
"certificate"
"organization.certificate"
"organization.project.certificate"
active: optional boolean

Whether the certificate is currently active at the specified scope. Not returned when getting details for a specific certificate.

CertificateActivateResponse object { id, active, certificate_details, 3 more }

Represents an individual certificate configured at the organization level.

id: string

The identifier, which can be referenced in API endpoints

active: boolean

Whether the certificate is currently active at the organization level.

certificate_details: object { expires_at, valid_at }
expires_at: optional number

The Unix timestamp (in seconds) of when the certificate expires.

formatunixtime
valid_at: optional number

The Unix timestamp (in seconds) of when the certificate becomes valid.

formatunixtime
created_at: number

The Unix timestamp (in seconds) of when the certificate was uploaded.

formatunixtime
name: string or null

The name of the certificate.

object: "organization.certificate"

The object type, which is always organization.certificate.

CertificateDeactivateResponse object { id, active, certificate_details, 3 more }

Represents an individual certificate configured at the organization level.

id: string

The identifier, which can be referenced in API endpoints

active: boolean

Whether the certificate is currently active at the organization level.

certificate_details: object { expires_at, valid_at }
expires_at: optional number

The Unix timestamp (in seconds) of when the certificate expires.

formatunixtime
valid_at: optional number

The Unix timestamp (in seconds) of when the certificate becomes valid.

formatunixtime
created_at: number

The Unix timestamp (in seconds) of when the certificate was uploaded.

formatunixtime
name: string or null

The name of the certificate.

object: "organization.certificate"

The object type, which is always organization.certificate.

CertificateDeleteResponse object { id, object }
id: string

The ID of the certificate that was deleted.

object: "certificate.deleted"

The object type, must be certificate.deleted.

CertificateListResponse object { id, active, certificate_details, 3 more }

Represents an individual certificate configured at the organization level.

id: string

The identifier, which can be referenced in API endpoints

active: boolean

Whether the certificate is currently active at the organization level.

certificate_details: object { expires_at, valid_at }
expires_at: optional number

The Unix timestamp (in seconds) of when the certificate expires.

formatunixtime
valid_at: optional number

The Unix timestamp (in seconds) of when the certificate becomes valid.

formatunixtime
created_at: number

The Unix timestamp (in seconds) of when the certificate was uploaded.

formatunixtime
name: string or null

The name of the certificate.

object: "organization.certificate"

The object type, which is always organization.certificate.